class ChangeSoftwareInfoStructure < ActiveRecord::Migration
  def up
    change_table :software_infos do |t|
      t.references :software, index: true, foreign_key: true
      t.text :agency_identification
      t.text :softawre_requirements
      t.text :hardware_requirements
      t.text :documentation
      t.text :system_applications
      t.text :active_versions
      t.text :estimated_cost
      t.text :responsible
      t.text :responsible_for_acquirement
      t.text :system_info
      t.text :development_info
      t.text :maintenance
      t.text :standards_adherence
      t.text :plataform
      t.text :sisp_type
    end
  end

  def down
    drop_table :software_infos
  end
end
